<template>
    <v-snackbar
            :color="color"
            :timeout="timeout"
            :top="true"
            v-model="show"
    >
        {{ message }}
    </v-snackbar>
</template>

<script>
    export default {
        name: "toast.vue",
        data() {
            return {
                timeout: 1000,
                color: 'success',
                show: true,
                message: ''
            }
        },
        created() {
console.log(this.color)
        },
        methods: {
            close() {
                this.$el.remove();
                this.$emit("close");
                this.$destroy();
            }
        }
    }
</script>

<style scoped>

</style>